View Issue Details

IDProjectCategoryView StatusLast Update
0003085OpenFOAMBugpublic2018-11-03 10:02
ReporterShortyAssigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Versiondev 
Fixed in Versiondev 
Summary0003085: Enthalpy coefficient a_ wrong for C3H6O.C
DescriptionHi all,

just came across a thread on CFD-Online about an issue of the C3H6O enthalpy calculation specified here https://cpp.openfoam.org/v6/C3H6O_8C_source.html

I sum up. The calculation of the enthalpy based on the NSRDSfunc0 (https://cpp.openfoam.org/v6/NSRDSfunc0_8H_source.html#l00103), lead to a value that is in the range of Xe6. However, other species such as C4H10O have a range of X e-6 (power sign); https://cpp.openfoam.org/v6/C4H10O_8C_source.html.
Comparing both (and others) lead to the assumption, that the coefficient a_ has a wrong sign.

However, I have no access to the database used here, and thus, I cannot prove my statement.

Additional InformationThread on cfd-online https://www.cfd-online.com/Forums/openfoam/207898-acetone-liquid-properties-faulty-openfoam.html#post709771
TagsNo tags attached.

Activities

henry

2018-10-12 12:30

manager   ~0010098

I don't have access to the NSRDS database either. If someone can provide the correct coefficients I would be happy to correct the code otherwise the best I could do would be to remove this specie.

Shorty

2018-10-16 13:32

reporter   ~0010109

I was in contact with TU Munich and I will get an access to the main library. They have the book there so I will check it after I am close to Munich.

tniemi

2018-11-02 08:10

reporter   ~0010128

I have attached a patch with a corrected first coeff, the data was taken from the 1984 edition of "Data Compilation Tables of Properties of Pure Compounds". The coeff is calculated in such a way that the sum of the liquid enthalpy at Tstd and heat of vaporization at Tsd is equal to a heat of formation of -2.5213e8 J/kmol.

patch.diff (583 bytes)
diff --git a/src/thermophysicalModels/thermophysicalProperties/liquidProperties/C3H6O/C3H6O.C b/src/thermophysicalModels/thermophysicalProperties/liquidProperties/C3H6O/C3H6O.C
index fd43446..7b26724 100644
--- a/src/thermophysicalModels/thermophysicalProperties/liquidProperties/C3H6O/C3H6O.C
+++ b/src/thermophysicalModels/thermophysicalProperties/liquidProperties/C3H6O/C3H6O.C
@@ -67,7 +67,7 @@ Foam::C3H6O::C3H6O()
     ),
     h_
     (
-        2571201.780143,
+       -4.905296049462618e06,
         2334.71074380165,
        -1.52376033057851,
         0.00162821395775941,
patch.diff (583 bytes)

tniemi

2018-11-02 08:27

reporter   ~0010129

Note: when using "enthalpyDifference" enthalpyTransfer-mode, the heat of vaporization is calculated as the difference between enthalpies given by the continuous-phase thermo and the liquid thermo. In order to obtain reasonable results, it is important that the two thermo models are in reasonable agreement with each other at the boiling temperature.

Alternatively, using "latentHeat" mode, the heat of vaporization is calculated only by using the correlation given in the liquid thermo. The latent heat correlation for acetone is in agreement with the correlation given in "Data Compilation Tables of Properties of Pure Compounds".

tniemi

2018-11-02 11:10

reporter   ~0010130

Correction to note 0010128: The coeff is calculated so that the heat of formation of -2.1715e8 J/kmol.

(It would be convinient, if it would be possible to edit these messages)

henry

2018-11-03 10:02

manager   ~0010131

Thanks Timo and Tobi,

Resolved in OpenFOAM-dev by commit 3419593a9531f1873f53f662bff27c846fab6584

Issue History

Date Modified Username Field Change
2018-10-12 06:45 Shorty New Issue
2018-10-12 12:30 henry Note Added: 0010098
2018-10-16 13:32 Shorty Note Added: 0010109
2018-11-02 08:10 tniemi File Added: patch.diff
2018-11-02 08:10 tniemi Note Added: 0010128
2018-11-02 08:27 tniemi Note Added: 0010129
2018-11-02 11:10 tniemi Note Added: 0010130
2018-11-03 10:02 henry Assigned To => henry
2018-11-03 10:02 henry Status new => resolved
2018-11-03 10:02 henry Resolution open => fixed
2018-11-03 10:02 henry Fixed in Version => dev
2018-11-03 10:02 henry Note Added: 0010131